Bug 1787421 - gtk-gnutella 1.1.15 throws SIGSEGV
Summary: gtk-gnutella 1.1.15 throws SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk-gnutella
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dmitry Butskoy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-02 19:03 UTC by Peter F. Patel-Schneider
Modified: 2020-01-20 03:07 UTC (History)
1 user (show)

Fixed In Version: gtk-gnutella-1.1.15-2.fc30 gtk-gnutella-1.1.15-2.fc31 gtk-gnutella-1.1.15-2.el7 gtk-gnutella-1.1.15-2.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-12 01:16:08 UTC
Type: Bug


Attachments (Terms of Use)
output from gtk-gnutella (31.17 KB, text/plain)
2020-01-02 19:03 UTC, Peter F. Patel-Schneider
no flags Details

Description Peter F. Patel-Schneider 2020-01-02 19:03:30 UTC
Created attachment 1649261 [details]
output from gtk-gnutella

Description of problem:
gtk-gnutella does not start correctly due to SIGSEGV

Version-Release number of selected component (if applicable):
gtk-gnutella/1.1.15 (2019-07-14; GTK2; Linux x86_64)


How reproducible:
always

Steps to Reproduce:
1. gtk-gnutella

Actual results:
gtk-gnutella tries to start but each time throws SIGSEGV like
20-01-02 14:00:41.789 (WARNING): got SIGSEGV for VA=0x0 at PC=0x7f414cc0e5e8 (malloc_usable_size) from /lib64/libc.so.6

Expected results:
correct startup

Additional info:
debugging output attached

Comment 2 Dmitry Butskoy 2020-01-03 20:20:39 UTC
Could you please check the fixed package:
https://kojipkgs.fedoraproject.org//work/tasks/7372/40077372/gtk-gnutella-1.1.15-2.fc31.x86_64.rpm

Comment 3 Peter F. Patel-Schneider 2020-01-04 16:20:06 UTC
The fixed package starts reliably.  I would give it Karma if I could find the pointer to the right page.

Comment 4 Fedora Update System 2020-01-04 18:25:49 UTC
FEDORA-2020-c66bf99a90 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c66bf99a90

Comment 5 Fedora Update System 2020-01-04 18:26:30 UTC
FEDORA-2020-dcaff4eaea has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-dcaff4eaea

Comment 6 Fedora Update System 2020-01-04 18:27:04 UTC
FEDORA-EPEL-2020-264b482443 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-264b482443

Comment 7 Fedora Update System 2020-01-04 18:27:39 UTC
FEDORA-EPEL-2020-0ee78fbbda has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-0ee78fbbda

Comment 8 Fedora Update System 2020-01-04 20:35:48 UTC
gtk-gnutella-1.1.15-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-264b482443

Comment 9 Fedora Update System 2020-01-04 21:18:41 UTC
gtk-gnutella-1.1.15-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-dcaff4eaea

Comment 10 Fedora Update System 2020-01-04 22:24:53 UTC
gtk-gnutella-1.1.15-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c66bf99a90

Comment 11 Fedora Update System 2020-01-05 03:28:25 UTC
gtk-gnutella-1.1.15-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-0ee78fbbda

Comment 12 Fedora Update System 2020-01-12 01:16:08 UTC
gtk-gnutella-1.1.15-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-01-12 01:42:59 UTC
gtk-gnutella-1.1.15-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-01-19 00:35:32 UTC
gtk-gnutella-1.1.15-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-01-20 03:07:18 UTC
gtk-gnutella-1.1.15-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.